<div class="custom-dialog" *ngIf="scheduleEvForm">

  <h2 mat-dialog-title>{{dialogTitle}}</h2>
  <div mat-dialog-content>
    <form [formGroup]="scheduleEvForm">

      <div fxLayout="column" fxLayoutAlign="center center">
        <p>
          <mat-form-field>
            <mat-label>Nombre</mat-label>
            <input matInput required formControlName="name">
            <mat-error>El nombre es requerido</mat-error>

          </mat-form-field>
        </p>

        <p class="input-color">

          <mat-form-field>
            <mat-label>Color</mat-label>
            <input matInput required readonly formControlName="color" />
            <mat-error>El color es requerido</mat-error>
          </mat-form-field>

          <span class="colorpicker" [(colorPicker)]="statusColor" (colorPickerChange)="onSelectColor($event)"
            [cpAlphaChannel]="'disabled'" [cpOKButton]="true" [ngStyle]="{'background-color':statusColor ?statusColor:'#eaeaea'}">
          </span>
        </p>
      </div>
    </form>




  </div>
  <div class="spacer"></div>

  <div mat-dialog-actions fxFlexAlign="end">

    <button [disabled]="!scheduleEvForm.valid" mat-button mat-raised-button color="primary" (click)="onSubmit()">
      <mat-icon>save</mat-icon> Guardar
    </button>
  </div>




</div>